<?php
require_once "include/config.php";
if ($_SESSION['user_status'] == "A" && $_SESSION['user_type'] == "A") { ?>
	<!DOCTYPE html>
	<html lang="en">
	<head>
		<title>Admin Panel</title>
		<!--== META TAGS ==-->
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
		<!--== FAV ICON ==-->
		<link rel="shortcut icon" href="images/fav.ico">
		
		<!-- GOOGLE FONTS -->
		<link href="https://fonts.googleapis.com/css?family=Nunito+Sans:400,600,700" rel="stylesheet">
		
		<!-- FONT-AWESOME ICON CSS -->
		<link rel="stylesheet" href="css/font-awesome.min.css">
		
		<!--== ALL CSS FILES ==-->
		<link rel="stylesheet" href="css/style.css">
		<link rel="stylesheet" href="css/mob.css">
		<link rel="stylesheet" href="css/bootstrap.css">
		<link rel="stylesheet" href="css/materialize.css"/>
		
		<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// --><!--[if lt IE 9]>
		<script src="js/html5shiv.js"></script>
		<script src="js/respond.min.js"></script>    <![endif]-->
	</head>
	<body>
		<?php include_once "include/header.php"; ?>
		
		<!--== BODY CONTNAINER ==-->
		<div class="container-fluid sb2">
			<div class="row">
				<?php include_once "include/sidebar.php"; ?>
				<div class="sb2-2">
					<div class="sb2-2-2">
						<ul>
							<li><a href="#"><i class="fa fa-home" aria-hidden="true"></i> Home</a>
							</li>
							<li class="active-bre"><a href="#"> Add Question</a>
							</li>
						</ul>
					</div>
					<div class="sb2-2-add-blog sb2-2-1">
						<?php
						if (isset($_SESSION['error_msg'])) {
							echo $_SESSION['error_msg'];
							unset($_SESSION['error_msg']);
						}
						if (isset($_SESSION['success_msg'])) {
							echo $_SESSION['success_msg'];
							unset($_SESSION['success_msg']);
						}
						?>
						
					
						<div class="tab-content">
							<div id="home" class="tab-pane fade in active">
								<div class="box-inn-sp">
									<div class="inn-title">
										<h4 class="txt-center">Add Questions</h4>
									</div>
									<div class="bor">
										<form action="include/add_question.php" method="post" enctype="multipart/form-data">
											<div class="row">
											    <p>	
						
						<?php 
						if (isset($_GET['id']) && isset($_GET['parent_category_code'])) {
						$quiz_code = $_GET['id'];
						$first_category = $_GET['parent_category_code'];
						$secound_category = $_GET['category_code'];
		
						}else{
						?>
											   <?php $first_category = isset($_SESSION['first_category']) ? $_SESSION['first_category'] : 'Not_Set'; ?>
											   <?php $secound_category = isset($_SESSION['secound_category']) ? $_SESSION['secound_category'] : 'Not_Set'; ?>
											   <?php $quiz_code = isset($_SESSION['quiz_code']) ? $_SESSION['quiz_code'] : 'Not_Set'; }?>
											    
											    
											 
											    
											 <div class="input-field col s12 main_category">
                                                <p>Select Main Category<span class="alert_astric">*</span></p>
                                                <select name="first_category" id="first_category" class="browser-default">
                                                    <option value="">Choose Category</option>
                                                    <?php 
                                                    // Query to fetch categories where category level is 1 and parent category code is 0
                                                    $category = $connection->query("SELECT * FROM categories WHERE category_level = '1' AND parent_category_code = '0'");
                                            
                                                    // Loop through the fetched categories
                                                    while ($categoryRow = $category->fetch_array()) { 
                                                        // Check if the current category matches the selected category
                                                        $selected = ($first_category == $categoryRow['category_code']) ? 'selected' : '';
                                                    ?>
                                                        <!-- Display the category option with the selected attribute if applicable -->
                                                        <option value="<?php echo htmlspecialchars($categoryRow['category_code']); ?>" <?php echo $selected; ?>>
                                                            <?php echo htmlspecialchars(stripslashes($categoryRow['name'])); ?>
                                                        </option>
                                                    <?php } ?>
                                                </select>
                                            </div>

											<div class="input-field col s12 sub_category">
												<p>Select Sub Category<span class="alert_astric">*</span></p>
												<select name="secound_category" id="secound_category" class="browser-default">
													<option value="">Choose Category</option>
													<?php $category = $connection->query("SELECT * FROM categories WHERE parent_category_code = '$first_category'");

													   while ($categoryRow = $category->fetch_array()) { ?>

													 <option value="<?php echo $categoryRow['category_code']; ?>" <?php echo $categoryRow['category_code']== $secound_category ?"selected":"";?>><?php echo stripslashes(stripslashes(stripslashes($categoryRow['name'])));?></option>
													<?php } ?>
												</select>
											</div>
											<div class="input-field col s12 sub_sub_category">
												<p>Select Quiz<span class="alert_astric">*</span></p>
												<select name="product_category" id="product_category" class="browser-default">
													<option value="">Choose Quiz</option>
													
													<?php $category = $connection->query("SELECT * FROM products WHERE category_code = '$secound_category'");

													   while ($categoryRow = $category->fetch_array()) { ?>

													 <option value="<?php echo $categoryRow['product_code']; ?>" <?php echo $categoryRow['product_code']== $quiz_code ?"selected":"";?>><?php echo stripslashes(stripslashes(stripslashes($categoryRow['name'])));?></option>
													<?php } ?>
												</select>
											</div>
												<div class="input-field col s12">
													<input id="question" name="question" type="text" class="validate">
													<label for="question">Questions(English)</label>
												</div>
												<div class="input-field col s12">
													<input id="questions_hindi" name="questions_hindi" type="text" class="validate">
													<label for="questions_hindi">Questions(Hindi)</label>
												</div>
												
												<div class="input-field col s12">
													<input id="answer1" name="answer1" type="text" class="validate">
													<label for="answer1">Answer1</label>
												</div>
													<div class="input-field col s12">
													<input id="answer2" name="answer2" type="text" class="validate">
													<label for="answer2">Answer2</label>
												</div>
													<div class="input-field col s12">
													<input id="answer3" name="answer3" type="text" class="validate">
													<label for="answer3">Answer3</label>
												</div>
													<div class="input-field col s12">
													<input id="answer4" name="answer4" type="text" class="validate">
													<label for="answer4">Answer4</label>
												<!--</div>-->
												<!--	<div class="input-field col s12">-->
												<!--	<input id="c_answer" name="c_answer" type="text" class="validate">-->
												<!--	<label for="c_answer">Correct Answer</label>-->
												<!--</div>-->
	                                           <div class="input-field col s12">
												<p>Correct Answer<span class="alert_astric">*</span></p>
												<select name="c_answer" id="c_answer" class="browser-default">
												    <option value="">Choose Answer</option>
													<option value="0">Answer: 1</option>
													<option value="1">Answer: 2</option>
													<option value="2">Answer: 3</option>
													<option value="3">Answer: 4</option>
													
												</select>
											</div>
												
												<div class="input-field col s12">
													<input type="submit" name="submit_button" class="waves-effect waves-light btn-large" value="Add Questions">
												</div>
											</div>
										</form>
									</div>
								</div>
							</div>
						
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!--== BOTTOM FLOAT ICON ==-->
		
		
		<!--======== SCRIPT FILES =========-->
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<script src="js/materialize.min.js"></script>
		<script src="js/custom.js"></script>
		<script src="ckeditor/ckeditor.js"></script>
		<script>
			CKEDITOR.replace('short_details');
			CKEDITOR.replace('big_details');
			</script>
			<script type="text/javascript">

		$(document).ready(function(){
				$('#first_category').on('change',function(){

					var top_category_code = $(this).val();

                    var cat = '';

                    cat += '<option value="">--Choose Sub Category--</option>';

                    console.log(top_category_code);

				    $.ajax({

                         url: 'select_category_for_add_product.php',

                          type: 'post',

                          data : {top_category_code: top_category_code},

                          dataType: 'json',

                          success: function(response){

                          	console.log(response);

                          	if(response.length == 0){

                          		$('.sub_category').hide();

                          		

                          	}else{

                          		$('.sub_category').show();

                              $.each(response,function(item,value){

                                var str = value.name;

                                  str = str.replace(/\\/g,'');

                               cat += "<option value="+value.category_code+">"+str+"</option>"

                            });

                            $('#secound_category').empty().append(cat);	
                        //   localStorage.secound_category=cat;
                          }

                          },

                          error: function(response){

                          	console.log(response);

                          }

				    });

				});

	 	$('#secound_category').on('change',function(){

			var secound_category_code = $(this).val();

			var cat1 = '';

			cat1 += '<option value="">--Choose Sub Sub Category--</option>';

			$.ajax({

				  url: 'select_category_for_add_product.php',

				  type: 'post',

				  data : {secound_category_code: secound_category_code},

				  dataType: 'json',



				  success: function(response){

					if(response.length == 0){

						$('.sub_category').show();

						$('.sub_sub_category').show();

					}else{

						$('.sub_sub_category').show();

					  $.each(response,function(item,value){

					   var str1 = value.name;

					   str1 = str1.replace(/\\/g,'');

					   cat1 += "<option value="+value.product_code+">"+str1+"</option>"
				  });
				  $('#product_category').empty().append(cat1);	
// 			localStorage.product_code=cat1;

				}

				  },

				  error: function(response){

					console.log(response);

				  }

			});

		});

		$('#product_category').on('change',function(){

		  $( "input" ).prop( "disabled", false );

		});
			
		});	
			
		</script>
	</body>
	</html>
<?php } else {
	$_SESSION['error_msg'] = "<div class='alert alert-danger'>";
	$_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
	$_SESSION['error_msg'] .= "Sorry, You need to login to view that page.</div>";
	header("Location: index.php");
}
?>