<?php
require_once "config.php";

$referrer = $_SERVER['HTTP_REFERER'];
$submit_button = $_POST['submit_button'];

if (isset($submit_button)) {
    // Sanitize and escape inputs
    $id = htmlspecialchars(mysqli_real_escape_string($connection, $_POST['id']));
    $questions_hindi = htmlspecialchars(mysqli_real_escape_string($connection, $_POST['questions_hindi']));
    $questions_english = htmlspecialchars(mysqli_real_escape_string($connection, $_POST['questions_english']));
    $quiz_code = htmlspecialchars(mysqli_real_escape_string($connection, $_POST['quiz_code']));
    $answers1 = htmlspecialchars(mysqli_real_escape_string($connection, $_POST['answers1']));
    $answers2 = htmlspecialchars(mysqli_real_escape_string($connection, $_POST['answers2']));
    $answers3 = htmlspecialchars(mysqli_real_escape_string($connection, $_POST['answers3']));
    $answers4 = htmlspecialchars(mysqli_real_escape_string($connection, $_POST['answers4']));
    $correct_ans = htmlspecialchars(mysqli_real_escape_string($connection, $_POST['c_answer']));
if($correct_ans=="0"){
    $correct_ans="A";
}
// echo $correct_ans;die;

    // Check if any required field is empty
    if (empty($questions_english) || empty($answers1) || empty($answers2) || empty($answers3) || empty($answers4) || empty($correct_ans)) {
        $_SESSION['error_msg'] = "<div class='alert alert-danger'>";
        $_SESSION['error_msg'] .= "<a href='#' class='close' data-disSorry, some fields are empty. Please fill out all required fields.miss='alert'>&times;</a>";
        $_SESSION['error_msg'] .= "Sorry, some fields are empty. Please fill out all required fields.</div>";
        header("Location: $referrer");
        exit();
    } else {
if($correct_ans=="A"){
    $correct_ans="0";
}


         $sql="UPDATE product_questions SET questions_english = '$questions_english', questions_hindi = '$questions_hindi', quiz_code = '$quiz_code', answers1 = '$answers1', answers2 = '$answers2', answers3 = '$answers3', answers4 = '$answers4', correct_ans = '$correct_ans' WHERE id = '$id'";
                 
                //   print_r($sql);die;
        // Prepare statement
        if ($stmt = $connection->prepare($sql)) {
            
            // Bind parameters to the prepared statement
            // $stmt->bind_param("ssssssssss", 
            //     $questions_english, $questions_hindi, $quiz_code, 
            //     $answers1, $answers2, $answers3, 
            //     $answers4, $correct_ans, $id
            // );
            
            // Execute statement
            if ($stmt->execute()) {
                $_SESSION['success_msg'] = "<div class='alert alert-success'>";
                $_SESSION['success_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
                $_SESSION['success_msg'] .= "The quiz question has been updated successfully.</div>";
                header("Location: $referrer");
            } else {
                $_SESSION['error_msg'] = "<div class='alert alert-danger'>";
                $_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
                $_SESSION['error_msg'] .= "Sorry, there was an error while updating your quiz question.</div>";
                header("Location: $referrer");
            }

            // Close the statement
            $stmt->close();
        } else {
            $_SESSION['error_msg'] = "<div class='alert alert-danger'>";
            $_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
            $_SESSION['error_msg'] .= "Error preparing SQL query. Please try again later.</div>";
            header("Location: $referrer");
        }
    }
} else {
    $_SESSION['error_msg'] = "<div class='alert alert-danger'>";
    $_SESSION['error_msg'] .= "<a href='#' class='close' data-dismiss='alert'>&times;</a>";
    $_SESSION['error_msg'] .= "Sorry, there was an error while processing your request.</div>";
    header("Location: $referrer");
}
?>
